# Class: LeagueComponent

## LeagueComponent()

Component representing the league standings page.

## Constructor

#### new LeagueComponent()

Source:
  - frontend/src/components/pages/League.component.js, line 24

### Extends

- Component

### Members

#### column_defs :Array.<object>

Column definitions for the league standings grid.

##### Type:

- Array.<object>

Source:
  - frontend/src/components/pages/League.component.js, line 35

#### data :Array.<object>

Sample data for the league standings grid.

##### Type:

- Array.<object>

Source:
  - frontend/src/components/pages/League.component.js, line 93

### Methods

#### (async) vue_on_create() → {Promise.<void>}

Called when the component is instantiated.

Source:
  - frontend/src/components/pages/League.component.js, line 99

##### Returns:

Type
  Promise.<void>